Index: atomfeed
===================================================================
--- atomfeed	(revision 345)
+++ atomfeed	(working copy)
@@ -58,12 +58,10 @@
 sub story {
   my($pkg, $path, $filename, $story_ref, $title_ref, $body_ref) = @_;
 
-  my $tz = $ENV{TZ};
-  $ENV{TZ} = "GMT";
-  my @utc = blosxom::nice_date($blosxom::files{"$blosxom::datadir$path/$filename.$blosxom::file_extension"});
-  $ENV{TZ} = $tz;
-  $utc_date = "$utc[5]-$utc[2]-$utc[3]T$utc[4]:00Z";
-  $utc_yr = $utc[5];
+  my @utc = gmtime($blosxom::files{"$blosxom::datadir$path/$filename.$blosxom::file_extension"});
+  $utc_date = sprintf("%4d-%02d-%02dT%02d:%02d:00Z",
+		      $utc[5]+1900, $utc[4]+1, $utc[3], $utc[2], $utc[1]);
+  $utc_yr = $utc[5]+1900;
 
   # Date/time of most recently-modified story becomes date/time of the feed.
   $feed_utc_date = $utc_date if $utc_date > $feed_utc_date;
